Chuyển đến nội dung
Diễn đàn CADViet
Đăng nhập để thực hiện theo  
nguyencanh160890

em xin lisp chỉnh sửa đường nét nhiều block cùng 1 lúc

Các bài được khuyến nghị

Em chào Anh Chị!

em có 1 vấn đề nhờ Anh Chị giúp đỡ.

Em có một số block http://www.cadviet.com/upfiles/3/115868_nguyencanh.dwgnhư file đính kèm, bây giờ làm thế nào để cùng 1 lúc em chỉnh độ đậm của nét thành blayer thay vì phải kích chọn từng block một để sửa. (làm rất lâu), mong Anh Chị giúp đỡ, em cần gấp.

 

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

chào cả nhà, em đã tìm được lisp để làm được bài theo yêu cầu trên, nhưng còn 1 thắc mắc nữa đó là lisp em sử dụng không chuyển màu block cùng với màu bylayer được.

lisp em tham khảo có nội dung như sau ạ

;; free lisp from cadviet.com
;;; this lisp was downloaded from http://www.cadviet.com/forum/topic/72965-lam-sao-de-chuyen-line-weight-trong-block-thanh-bylayer/
(defun C:DLW()
  (vl-load-com)
  (command "UNDO" "BE")
  (vlax-for for-item (vla-get-blocks(vla-get-activedocument(vlax-get-acad-object)))
    (vlax-for item for-item
      (vla-put-Lineweight item -1)
      )
    )
  (command "UNDO" "END")
  (princ)
  )
 

Nhờ Anh Chị hỗ trợ giúp đỡ tiếp.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

:D :D :D

Ý 2 lúa là bạn lụi thử phương án bên dưới. Chứ chờ cao thủ thì hơi lâu. Công việc của cao thủ vẫn có chứ. :D

Còn cái lisp của 2 lúa sưu tầm là tập hơp một số lệnh của lisp.

 

 

(defun C:DLW()
  (vl-load-com)
  (command "UNDO" "BE")
  (vlax-for for-item (vla-get-blocks(vla-get-activedocument(vlax-get-acad-object)))
    (vlax-for item for-item
      (vla-put-Lineweight item -1)

      (VLA-PUT-COLOR item -1)

      )
    )
  (command "UNDO" "END")
  (princ)
  )

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

em vẫn không hiểu (VLA-PUT-COLOR) là cái gì? tác dụng nó là gì mặc dù đã tìm hiểu trên mạng.

(VLA-PUT-COLOR item 256)

Em đã tìm trên cadviet nhưng đa phần các lisp đều chuyển các đối tượng kể các block về bylayer, nhưng đôi khi còn 1 số block khi em đúp và sửa  trực tiếp bên trong thì quan sát thấy màu và độ dày đường không theo bylayer. Mà em vẫn phải tiếp tục thao tác quét toàn bộ block rồi cho màu và độ dày theo bylayer.

 

Nếu 10 block thì không vấn đề, đằng này có tới 200. 300 block.... em chỉnh sửa lâu quá....

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay

Đăng nhập để thực hiện theo  

×